## openldap 2.5.6+dfsg

=== debian/changelog ===
openldap (2.5.6+dfsg-1~exp1ubuntu1.1) impish-security; urgency=medium

  * SECURITY UPDATE: SQL injection in experimental back-sql backend
    - debian/patches/CVE-2022-29155.patch: escape filter values in
      servers/slapd/back-sql/search.c.
    - CVE-2022-29155

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 May 2022 09:09:13 -0400

openldap (2.5.6+dfsg-1~exp1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 17 Aug 2021 14:06:00 -0400

openldap (2.5.6+dfsg-1~exp1) experimental; urgency=medium

  [ Ryan Tandy ]
  * New upstream release.
  * Export the cn=config database to LDIF format before upgrading from 2.4.
  * slapd.README.Debian:
    - Remove text about the dropped evolution-ntlm patch.
    - Add guidance for recovering from upgrade failures.
  * Remove the debconf warning and README text about the unsafe ACL configured
    by default in versions before jessie.
  * Remove upgrade code for adding the pwdMaxRecordedFailure attribute to the
    ppolicy schema. It's obsolete since the schema has been internalized.

  [ Sergio Durigan Junior ]
  * Implement the "escape hatch" mechanism.
    - d/po/*.po: Update PO files given the new template note.
    - d/po/templates.pot: Update file.
    - d/slapd.templates: Add note warning user about a postinst failure,
      its possible cause and what to do.
    - d/slapd.postinst: Make certain upgrade functions return failure
      instead of exiting, which allows the postinst script to gracefully
      fail when applicable.  Also, when the general configuration upgrade
      fails, display a critical warning to the user.  Implement
      ignore_init_failure function.
    - d/slapd.prerm: Implement ignore_init_failure function.
    - d/slapd.scripts-common: Make certain functions return failure
      instead of exiting.
    - d/rules: Use dh_installinit's --error-handler to instruct it on how
      to handle possible errors with the init script.
    - d/slapd.NEWS: Add excerpt mentioning that the postinst script might
      error out if it can't migrate the existing (old) database backend.

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 16 Aug 2021 18:32:29 -0700

openldap (2.5.5+dfsg-1~exp1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
  * Dropped changes:
    - Enable GSSAPI support (first added in 2.4.18-0ubuntu2):
      + d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      + d/configure.options: Configure with --with-gssapi
      + d/control: Added heimdal-dev as a build depend
      + d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
      + d/libldap-2.4-2.symbols: add symbols for GSSAPI support
      This should be dropped when the soname changes.
      [ Dropped as planned after soname bump due to 2.5.5 update. ]
    - Enable nss overlay:
      + d/rules:
        - add nssov to CONTRIB_MODULES
        - add sysconfdir to CONTRIB_MAKEVARS
      + d/slapd.install: install nssov overlay
      + d/slapd.manpages: install slapo-nssov(5) man page
      + d/p/contrib-makefiles: given the change in 2.4.47+dfsg-3 regarding
        Debian bug #919136, we also have to patch the nssov makefile
        accordingly and thus update this patch.
      [ Dropped as planned after soname bump due to 2.5.5 update. ]
    - Add support for CLDAP (UDP) support, back then required by
      likewise-open (first enabled in 2.4.17-1ubuntu2):
      + d/rules: Enable -DLDAP_CONNECTIONLESS
      + d/libldap-2.4-2.symbols: add symbols for CLDAP (UDP)
      This should be dropped when the soname changes.
      [ Dropped as planned after soname bump due to 2.5.5 update. ]
    - debian/patches/fix_test_timing.patch: fix FTBFS on riscv64 because
      of test timing issue.
      [ Dropped because the latest update improved the testcase and
        there is no FTBFS on riscv64 anymore. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 15 Jun 2021 17:20:34 -0400

openldap (2.5.5+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Drop patches applied upstream: ITS#9544, ITS#9548.
  * Mark slapd-contrib as breaking the old version of slapd to reduce the
    chance of upgrade failure due to slapd-contrib being unpacked first.

 -- Ryan Tandy <ryan@nardis.ca>  Fri, 11 Jun 2021 11:43:15 -0700

openldap (2.5.4+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Changing olcAuthzRegexp dynamically is supported. (Closes: #761407)
    - Support for LANMAN password hashes has been removed. (Closes: #988033)

