=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Ryan Tandy <ryan@nardis.ca>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
+               dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
                heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
-               libdb5.3-dev <!pkg.openldap.noslapd>,
                libgnutls28-dev,
                libltdl-dev <!pkg.openldap.noslapd>,
                libperl-dev (>= 5.8.0) <!pkg.openldap.noslapd>,
@@ -18,10 +19,11 @@
                libwrap0-dev <!pkg.openldap.noslapd>,
                nettle-dev <!pkg.openldap.noslapd>,
                perl:any,
+               pkg-config (>= 0.29),
                po-debconf,
                unixodbc-dev <!pkg.openldap.noslapd>
 Build-Conflicts: libbind-dev, bind-dev, autoconf2.13
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.openldap.org/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
@@ -31,11 +33,11 @@
 Architecture: any
 Build-Profiles: <!pkg.openldap.noslapd>
 Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, libldap-2.5-0 (= ${binary:Version}),
  coreutils (>= 4.5.1-1), psmisc, perl:any (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${perl:Depends}, ${misc:Depends}
 Recommends: ldap-utils
-Suggests: libsasl2-modules,
+Suggests: libsasl2-modules, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)
@@ -50,7 +52,7 @@
 Build-Profiles: <!pkg.openldap.noslapd>
 Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: slapd-smbk5pwd
-Breaks: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
+Breaks: slapd-smbk5pwd (<< 2.4.47+dfsg-2~), slapd (<< 2.5.4+dfsg-1~)
 Replaces: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
 Description: contributed plugins for OpenLDAP slapd
  This package contains a number of slapd overlays and plugins contributed by
@@ -69,7 +71,7 @@
 
 Package: ldap-utils
 Architecture: any
-Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, libldap-2.5-0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libsasl2-modules,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldap-utils, openldap-utils, ldap-client
@@ -81,7 +83,7 @@
  local or remote LDAP server and contain all the client programs
  required to access LDAP servers.
 
-Package: libldap-2.4-2
+Package: libldap-2.5-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -104,18 +106,26 @@
  These are common files for the run-time libraries for the OpenLDAP
  (Lightweight Directory Access Protocol) servers and clients.
 
-Package: libldap2-dev
+Package: libldap-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Conflicts: libldap-dev, libopenldap-dev
-Replaces: libopenldap-dev
-Provides: libldap-dev
-Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
+Provides: libldap2-dev
+Breaks: libldap2-dev (<< 2.5.4+dfsg-1~)
+Replaces: libldap2-dev (<< 2.5.4+dfsg-1~)
+Depends: libldap-2.5-0 (= ${binary:Version}), ${misc:Depends}
 Description: OpenLDAP development libraries
  This package allows development of LDAP applications using the OpenLDAP
  libraries. It includes headers, libraries and links to allow static and
  dynamic linking.
+
+Package: libldap2-dev
+Section: oldlibs
+Architecture: all
+Depends: libldap-dev, ${misc:Depends}
+Description: transitional package for libldap-dev
+ This is a transitional package from libldap2-dev to libldap-dev. It can be
+ safely removed.
 
 Package: slapi-dev
 Section: libdevel
