=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,15 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
-export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
+export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 # Configure calls AM_INIT_AUTOMAKE, but Automake fails as there is no Makefile.am.
 # Tell dh-autoreconf to skip automake.
 export AUTOMAKE = true
 
 # Expose maintainer address to build/mkversion (see debian/patches/set-maintainer-name)
-export DEB_MAINTAINER := $(shell sed -ne 's/Maintainer:\s\+//p' debian/control)
+export DEB_MAINTAINER := $(shell sed -ne 's/^Maintainer:\s\+//p' debian/control)
 
 # Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
 export DEB_VERSION
@@ -25,13 +25,13 @@
 
 CONFIG		= $(shell grep -v "^\#" debian/configure.options)
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
-	CONFIG += --disable-bdb --disable-hdb --disable-mdb
+	CONFIG += --disable-mdb
 endif
 ifneq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind passwd passwd/argon2 passwd/pbkdf2 passwd/sha2 smbk5pwd
+CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 smbk5pwd
 
 # Ensure CC is set correctly for cross builds, unless it has already
 # been set explicitly.
@@ -43,12 +43,11 @@
 builddir	:= $(CURDIR)/debian/build
 slapddir	:= $(CURDIR)/debian/slapd/usr/sbin
 
-MAKEVARS	:= STRIP=
-
 # Standard variables used in contrib Makefiles.
 # We override these in make invocations rather than patch every one.
 CONTRIB_MAKEVARS := \
 	LDAP_BUILD='$(builddir)' \
+	OPT= \
 	prefix=/usr \
 	ldap_subdir=/ldap \
 	moduledir='$$(libdir)$$(ldap_subdir)'
@@ -119,22 +118,15 @@
 	dh_auto_configure -- $(CONFIG)
 
 override_dh_auto_build:
-	dh_auto_build -- $(MAKEVARS)
+	dh_auto_build
 ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
 	for mod in $(CONTRIB_MODULES); do \
 		dh_auto_build -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
 	done
 endif
 
-override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-	# Disable test060-mt-host on ppc64el until #866122 is fixed.
-	rm -f tests/scripts/test060-mt-hot
-endif
-	dh_auto_test
-
 override_dh_auto_install:
-	dh_auto_install -- $(MAKEVARS)
+	dh_auto_install -- STRIP_OPTS=
 ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
 	for mod in $(CONTRIB_MODULES); do \
 		dh_auto_install -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
@@ -165,36 +157,45 @@
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+override_dh_install-arch:
+	dh_install
+
+	# install AppArmor profile
+	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
+
+	# install Apport hook
+	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
+
+	# install ufw profile
+	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
+
+	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
+
 override_dh_installinit:
-	dh_installinit -- "defaults 19 80"
-
-ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
-override_dh_installman:
-	dh_installman
-	rm -f $(CURDIR)/debian/slapd/usr/share/man/man5/slapo-smbk5pwd.*
-
+	dh_installinit --no-restart-after-upgrade --error-handler=ignore_init_failure -- "defaults 19 80"
+
+ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
 override_dh_fixperms-arch:
 	dh_fixperms
 	chmod +x $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
 endif
 
 override_dh_strip:
-	dh_strip -plibldap-2.4-2 --dbgsym-migration='libldap-2.4-2-dbg (<< 2.4.45+dfsg-1~)'
 	dh_strip -pslapd --dbgsym-migration='slapd-dbg (<< 2.4.45+dfsg-1~)'
 	dh_strip --remaining-packages
 ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
 	# hardlink these so not confined by apparmor; do this here and not
 	# in dh_link so that dh_strip doesn't get confused and put the wrong
 	# binary in the debug package.
-	for f in slapacl slapadd slapauth slapcat slapdn slapindex slappasswd slaptest slapschema ; do \
+	for f in slapacl slapadd slapauth slapcat slapdn slapindex slapmodify slappasswd slapschema slaptest; do \
 	    ln -f $(slapddir)/slapd $(slapddir)/$$f ; \
 	done
 endif
 
 override_dh_link:
-	for pkg in libldap2-dev libldap-2.4-2; do \
-		sed -e"s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" < debian/$$pkg.links.in > debian/$$pkg.links; \
-	done
+	sed -e"s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" < debian/libldap-dev.links.in > debian/libldap-dev.links
 	dh_link
 
 ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
@@ -213,6 +214,9 @@
 	perl -w debian/dh_installscripts-common -p slapd
 endif
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_clean:
 	dh_auto_clean
 	# Update translation templates for debconf
@@ -220,9 +224,3 @@
 ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
 	# Remove our stripped schema from the upstream source area.
 	if [ -z "$(DFSG_NONFREE)" ]; then \
-	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
-	        rm -f servers/slapd/schema/`basename $$s`; \
-	    done; \
-	fi
-
-	# Clean the contrib directory
